AlignIOConstants (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.AlignIOConstants class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class AlignIOConstants

    java.lang.Object
      org.biojava.bio.seq.io.AlignIOConstants

    public final class AlignIOConstants

extends Object

`AlignIOConstants` contains constants used to identify sequence formats, alphabets etc, in the context of reading and writing alignments.

An `int` used to specify symbol alphabet and sequence format type is derived thus:

- The two least significant bytes are reserved for format types such as MSF, CLUSTAL etc.
- The two most significant bytes are reserved for alphabet and symbol information such as AMBIGUOUS, DNA, RNA, AA etc.
- Bitwise OR combinations of each component `int` are used to specify combinations of format type and symbol information. To derive an `int` identifier for DNA with ambiguity codes in Fasta format, bitwise OR the AMBIGUOUS, DNA and FASTA values.

Author:
  Keith James

Field Summary
`static int` | `CLUSTAL` `CLUSTAL` indicates that the alignment format is Clustal.
`static int` | `CLUSTAL_AA` `CLUSTAL_AA` premade CLUSTAL | AA;
`static int` | `CLUSTAL_DNA` `CLUSTAL_DNA` premade CLUSTAL | DNA;
`static int` | `CLUSTAL_RNA` `CLUSTAL_RNA` premade CLUSTAL | RNA;
`static int` | `FASTA` `FASTA` indicates that the alignment format is Fasta.
`static int` | `FASTA_AA` `FASTA_AA` premade FASTA | AA;
`static int` | `FASTA_DNA` `FASTA_DNA` premade FASTA | DNA;
`static int` | `FASTA_RNA` `FASTA_RNA` premade FASTA | RNA;
`static int` | `MSF` `MSF` indicates that the alignment format is MSF.
`static int` | `MSF_AA` `MSF_AA` premade MSF | AA;
`static int` | `MSF_DNA` `MSF_DNA` premade MSF | DNA;
`static int` | `MSF_RNA` `MSF_DNA` premade MSF | RNA;
`static int` | `RAW` `RAW` indicates that the alignment format is raw (symbols only).
`static int` | `RAW_AA` `RAW_AA` premade RAW | AA.
`static int` | `RAW_DNA` `RAW_DNA` premade RAW | DNA.
`static int` | `RAW_RNA` `RAW_RNA` premade RAW | RNA.
`static int` | `UNKNOWN` `UNKNOWN` indicates that the alignment format is unknown.

Constructor Summary
`AlignIOConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  `UNKNOWN` indicates that the alignment format is unknown.

  See Also:
    Constant Field Values

### RAW

    public static final int RAW

  `RAW` indicates that the alignment format is raw (symbols only).

  See Also:
    Constant Field Values

### FASTA

    public static final int FASTA

  `FASTA` indicates that the alignment format is Fasta.

  See Also:
    Constant Field Values

### CLUSTAL

    public static final int CLUSTAL

  `CLUSTAL` indicates that the alignment format is Clustal.

  See Also:
    Constant Field Values

### MSF

    public static final int MSF

  `MSF` indicates that the alignment format is MSF.

  See Also:
    Constant Field Values

### RAW_DNA

    public static final int RAW_DNA

  `RAW_DNA` premade RAW | DNA.

  See Also:
    Constant Field Values

### RAW_RNA

    public static final int RAW_RNA

  `RAW_RNA` premade RAW | RNA.

  See Also:
    Constant Field Values

### RAW_AA

    public static final int RAW_AA

  `RAW_AA` premade RAW | AA.

  See Also:
    Constant Field Values

### FASTA_DNA

    public static final int FASTA_DNA

  `FASTA_DNA` premade FASTA | DNA;

  See Also:
    Constant Field Values

### FASTA_RNA

    public static final int FASTA_RNA

  `FASTA_RNA` premade FASTA | RNA;

  See Also:
    Constant Field Values

### FASTA_AA

    public static final int FASTA_AA

  `FASTA_AA` premade FASTA | AA;

  See Also:
    Constant Field Values

### CLUSTAL_DNA

    public static final int CLUSTAL_DNA

  `CLUSTAL_DNA` premade CLUSTAL | DNA;

  See Also:
    Constant Field Values

### CLUSTAL_RNA

    public static final int CLUSTAL_RNA

  `CLUSTAL_RNA` premade CLUSTAL | RNA;

  See Also:
    Constant Field Values

### CLUSTAL_AA

    public static final int CLUSTAL_AA

  `CLUSTAL_AA` premade CLUSTAL | AA;

  See Also:
    Constant Field Values

### MSF_DNA

    public static final int MSF_DNA

  `MSF_DNA` premade MSF | DNA;

  See Also:
    Constant Field Values

### MSF_RNA

    public static final int MSF_RNA

  `MSF_DNA` premade MSF | RNA;

  See Also:
    Constant Field Values

### MSF_AA

    public static final int MSF_AA

  `MSF_AA` premade MSF | AA;

  See Also:
    Constant Field Values

Constructor Detail

### AlignIOConstants

    public AlignIOConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD